%define module_version 0.005
%define module_name MooseX-DeclareX-Plugin-abstract
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Util.pm) perl(MooseX/ABCD.pm) perl(MooseX/Declare.pm) perl(MooseX/DeclareX.pm) perl(MooseX/DeclareX/Plugin.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1.1
Summary: shiny syntax for MooseX::ABCD
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/MooseX-DeclareX-Plugin-abstract

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution adds two new plugins to the MooseX::DeclareX manpage.

=over

=item `is abstract'

Declares that a class cannot be instantiated.

Also allows the standard Moose `requires' function to work within
classes (it normally only works within roles).

When a class requires a method, then subclasses are supposed to provide that
method. If the subclass itself is also abstract, then it doesn't need to
provide the required methods. (There's also a little cheat: classes which
are mutable may extend abstract classes without implementing required methods.
You should not do this though.)

=item `is concrete'

A counterpart to `is abstract'. Currently, this is a no-op, but in
future it might enable some checks related to abstract classes.

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYRIGHT LICENSE Changes README examples
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1.1
- rebuild to restore role requires

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

